# Two services:
## verify: verifys payment action. Only allows transfer. Exposed on 5000/tcp
## payment: Fake payment controller. Can do transfer and withdraw. Internal.

version: "3.5"
services:
  verify:
    image: secdim.lab.csharp.verify
    depends_on:
      - payment
    build: .
    environment:
      paymenturl: http://payment:5000/api/payment
    networks:
      - private
    ports:
      - "5000:5000"

  payment:
    image: secdim.lab.csharp.payment
    build: payment/
    #ports:  # used only for manual debugging
    #  - "5001:5000" 
    networks:
      - private

networks:
  private:
    name: secdim.lab.csharp.hpp
